Woocommerce error on Legenda theme - by ancabontea

This topic has 15 replies, 3 voices, and was last updated 4 years, 1 months ago ago by Olga Barlow

  • Avatar: ancabontea
    ancabontea
    Participant
    May 1, 2020 at 13:26

    Hi there,

    I am writing as I have updated recently to the latest version of the theme and WordPress and have an unknown error on the all pages:
    homepage: Fatal error: Call to undefined function wc_product_class() in /home/content/70/7846670/html/orders/wp-content/themes/legenda/woocommerce/content-product.php on line 53
    Asian Menu:
    Fatal error: Call to undefined function wc_get_loop_prop() in /home/content/70/7846670/html/orders/wp-content/themes/legenda/framework/theme-functions.php on line 2699
    Italian Menu:Fatal error: Call to undefined function wc_get_loop_prop() in /home/content/70/7846670/html/orders/wp-content/themes/legenda/framework/theme-functions.php on line 2699
    if you add a product on the cart :
    Baby Bok Choi with Soy Ginger (V)
    Fatal error: Call to undefined function wc_get_formatted_cart_item_data() in /home/content/70/7846670/html/orders/wp-content/themes/legenda/woocommerce/cart/cart.php on line 74

    I activated other themes and the errors are not present. Can you please have a look and let me know how it can be fixed?

    Please, contact administrator
    for this information.
    14 Answers
    Avatar: Rose Tyler
    Rose Tyler
    Support staff
    May 1, 2020 at 13:39

    Hello,

    You are using an old version of the WooCommerce plugin. Here you can find information about compatibility the theme with WC plugin – https://themeforest.net/item/legenda-responsive-multipurpose-wordpress-theme/5888906
    If you need further assistance from our side, provide temporary FTP access.

    Regards

    Avatar: ancabontea
    ancabontea
    Participant
    May 1, 2020 at 13:51

    Hi Rose,

    I tried to update the Woocommerce but it does not let me as it says that the newest version is not supported .
    Please see the login details in the private content area.

    Please contact administrator
    for this information.
    Avatar: Rose Tyler
    Rose Tyler
    Support staff
    May 1, 2020 at 14:15

    Hi Ancabontea,

    Please provide a screenshot of the message. Where exactly it appears?
    What about FTP? If you don’t know your FTP host, FTP login and FTP pass contact your hosting provider and ask this information.
    Once you provide FTP access, I will be able to pass the problem to our technicians and we will do our best to help you.
    Lightshot Screenshot tool https://app.prntscr.com/en/index.html makes screenshots and generates links then you can provide links of screenshots here.

    Regards

    Avatar: ancabontea
    ancabontea
    Participant
    May 1, 2020 at 16:35

    Hi Rose,

    The message appears in the plugins area in the WordPress backend dashboard under Woocomerce plugin.
    For some reason it does not let me download Lightshot Screenshot on my mac. πŸ™

    The FTP details are provided in the private content.

    Thank you.

    Please contact administrator
    for this information.
    Avatar: Rose Tyler
    Rose Tyler
    Support staff
    May 2, 2020 at 07:54

    Hi Ancabontea,

    The problem was passed to our technicians.
    There can be a delay in answering, due to the weekend, please be patient and do not change access.
    We will contact you.

    Regards

    Avatar: ancabontea
    ancabontea
    Participant
    May 2, 2020 at 08:33

    thank you for letting me know.

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    May 2, 2020 at 09:27

    Hello,

    Could you, please, update PHP version at your site to 7.2 http://prntscr.com/s9l36b ? At this moment you use out of date version 5.6 http://prntscr.com/s9l2rp Let me know once you update PHP and we’ll be able to proceed with theme update.

    Regards

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    May 2, 2020 at 09:27

    Hello,

    Could you, please, update PHP version at your site to 7.2 http://prntscr.com/s9l36b ? At this moment you use out of date version 5.6 http://prntscr.com/s9l2rp Let me know once you update PHP and we’ll be able to proceed with plugin update because the current version of your WooCommerce (3.1.2) is not compatible with the latest version of our theme.

    Regards

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    May 2, 2020 at 09:51

    P.S. I have updated WooCommerce from version 3.1.2 to 3.9.3 to remove the fatal error at least. But you still need to update PHP to update WooCommerce and Revolution slider to the latest versions and be up to date.

    Regards

    Avatar: ancabontea
    ancabontea
    Participant
    May 2, 2020 at 15:01

    Hi there,

    The hosting provider it does not let me to go higher than php 5.6. can you assist maybe downgrade the theme so it can be compatible with php 5.6 until I will find other solution?

    Thank you.

    Avatar: ancabontea
    ancabontea
    Participant
    May 2, 2020 at 15:30

    Thank you, I just seen your answer. The website will work fine now? I cannot use the Revolution Slider?

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    May 4, 2020 at 16:47

    Hello,

    There is no fatal error at this moment because we have updated WooCommerce to min required for our theme version.

    But we would recommend you to change the hosting provider because PHP 5.6 is out of date and is not a safe version. Also, you won’t be able to update WooCommerce, Revolution slider plugins to the latest versions because of this and you will stack with the out of date versions that is not good.

    Regards

    Avatar: ancabontea
    ancabontea
    Participant
    May 6, 2020 at 15:04

    Many thanks Olga for your help

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    May 6, 2020 at 18:27

    You are welcome.

    Regards

  • Viewing 15 results - 1 through 15 (of 15 total)

You must be logged in to reply to this topic.Log in/Sign up

We're using our own and third-party cookies to improve your experience and our website. Keep on browsing to accept our cookie policy.